GoJS® Diagramming Components
version 1.7.26 for JavaScript/HTML
by Northwoods Software®

## Class Iterable

This interface is implemented by the List, Set, and Map classes; it provides the iterator read-only property that returns an Iterator.

Typical usage is:

    var it = anIterableCollection.iterator;
    while (it.next()) {
      var item = it.value;
    }

## Constructor Summary Details

Name | Description
--- | ---
Iterable() | This is an interface and thus does not have a constructor.

## Properties Summary Details

Name, Value Type | Description
--- | ---

iterator
{Iterator.<T>}

Gets an Iterator that can iterate over the items in the collection.More...

Typical usage is:

     var it = anIterableCollection.iterator;
     while (it.next()) {
       var item = it.value;
     }